import gazpacho
import pprint

URL = "https://en.wikipedia.org/wiki/List_of_world_records_in_swimming"
RECORDS = (0, 1, 3, 4)
COURSES = ("LC Men", "LC Women", "SC Men", "SC Women")
# WHERE = "/home/headfirstpython/webapp/"
WHERE = ""

html = gazpacho.get(URL)
soup = gazpacho.Soup(html)
tables = soup.find("table")
records = {}
for table, course in zip(RECORDS, COURSES):
    records[course] = {}
    for row in tables[table].find("tr")[1:]:
        columns = row.find("td")
        event = columns[0].text
        time = columns[1].text
        records[course][event] = time
with open(WHERE + "records.py", "w", encoding="utf-8") as rf:
    print("records = ", end="", file=rf)
    pprint.pprint(records, stream=rf)
